<?php 

/***** ArtistDataPress Widget *****/

add_action( 'widgets_init', create_function( '', 'return register_widget( "ArtistDataPress_widget" );' ) );

if ( !class_exists( 'ArtistDataPress_widget' ) ) {

	class ArtistDataPress_widget extends WP_Widget {
	 
	    function __construct() {
	    
	        $widget_ops = array( 'classname' => 'artistdatapress-widget', 'description' => __('Display your ArtistData feed in the sidebar', 'artistdatapress-widget') );
	    
	        parent::__construct( 'artistdatapress-widget', 'ArtistDataPress', $widget_ops );
	        
	    } //End of artistdatapress_widget function
	 
	    function form( $instance ) {
	 
	        $defaults 		= array( 'title' => 'ArtistDataPress', 'quantity' => '', );
	        $instance 		= wp_parse_args( (array) $instance, $defaults );
	        $title 			= esc_attr( $instance['title'] ); ?>
	 
	        <p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php echo _e('Title'); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></label></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'quantity' ); ?>"><?php echo _e('Display how many shows?'); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'quantity' ); ?>" name="<?php echo $this->get_field_name( 'quantity' ); ?>" type="text" value="<?php echo esc_attr( $instance['quantity'] ); ?>" /></label></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'showtime' ); ?>"><?php echo _e('Display show time?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showtime' ); ?>" name="<?php echo $this->get_field_name( 'showtime' ); ?>" type="checkbox" <?php checked( $instance['showtime'], 'on' ); ?> /></label></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'showname' ); ?>"><?php echo _e('Display show name?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showname' ); ?>" name="<?php echo $this->get_field_name( 'showname' ); ?>" type="checkbox" <?php checked( $instance['showname'], 'on' ); ?> /></label></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'showprice' ); ?>"><?php echo _e('Display ticket price?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showprice' ); ?>" name="<?php echo $this->get_field_name( 'showprice' ); ?>" type="checkbox" <?php checked( $instance['showprice'], 'on' ); ?> /></label></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'showage' ); ?>"><?php echo _e('Display age limit?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showage' ); ?>" name="<?php echo $this->get_field_name( 'showage' ); ?>" type="checkbox" <?php checked( $instance['showage'], 'on' ); ?> /></label></p>
	        
	        <p><label for="<?php echo $this->get_field_id( 'showcountry' ); ?>"><?php echo _e('Display country?'); ?>: <input class="checkbox" id="<?php echo $this->get_field_id( 'showcountry' ); ?>" name="<?php echo $this->get_field_name( 'showcountry' ); ?>" type="checkbox" <?php checked( $instance['showcountry'], 'on' ); ?> /></label></p><?php
	 
	    } //End of form function
	 
	    function widget( $args, $instance ) {
	       
	        extract( $args );
	        
			$adp		= new ArtistDataPress_Plugin;
			$title 		= apply_filters( 'widget_title', $instance['title'] );
			$options 	= get_option( 'slushman_adp_options' );
			$showfeed 	= $adp->get_xml();
			
			echo $before_widget;
	
			if ( !empty( $title ) ) {
			
				echo $before_title . $title . $after_title;
			
			} ?>
			
			<ul id="slushman_adpw_shows"><?php
	
			if ( $showfeed == FALSE ) { ?>
			
				<li id="slushman_adp_no_shows"><?php echo $options['slushman_adp_no_shows']; ?></li><?php
				
			} elseif ( $showfeed !== FALSE && is_array( $showfeed ) && $showfeed[0] == 'Error' ) { ?>
			
				<li id="slushman_adp_display_messages"><?php echo $showfeed[1]; ?></li><?php
			
			} elseif ( $showfeed !== FALSE && !is_array( $showfeed ) ) {
				
				$count = 0;
				
				foreach ( $showfeed->show as $show ) { ?>
			    			
	    			<li class="slushman_adpw_show" id="slushman_adpw_<?php echo $show->recordKey; ?>"><span class="slushman_adpw_date_time"><?php
	    			
	    				if ( $options['slushman_adp_date_format'] == 'default' ) {
								
							$date_format = get_option( 'date_format' );
							
						} else {
						
							$date_format = $options['slushman_adp_date_format'];
						
						} // End of 'check date format'
						
						if ( $options['slushman_adp_time_format'] == 'default' ) {
							
							$time_format = get_option( 'time_format' );
							
						} else {
						
							$time_format = $options['slushman_adp_time_format'];
						
						} // End of 'check time format'
						
						$gigdate	= strtotime( $show->date );
						$date		= date( $date_format, $gigdate );
						$gigtime 	= strtotime( $show->timeSet );
						$time 		= date( $time_format, $gigtime );
					
						if ( $instance['showtime'] == 'off' ) {
					
							$showdate = $date . '</span>';
							
						} elseif ( $instance['showtime'] == 'on' && isset( $options['slushman_adp_time_format'] ) ) {
							
							$showdate = '<span class="slushman_adpw_show_date">' . $date . '</span><span class="slushman_adpw_show_time"> at ' . $time . '</span></span>';
							
						} // End of if ( $slushman_adp_display_time == 'on')
	    			
	    				echo $showdate;

						if ( $instance['showname'] == 'on') { ?>	
										
							<span class="slushman_adpw_show_name"><?php echo $show->name; ?></span><?php
						
						} //End of if ( showname )
			
						if ( !empty( $show->venueURI ) ) {
								
							echo ' <a class="slushman_adpw_venue_link" href="' . $show->venueURI . '">' . $show->venueName . '</a>';
								
						} else {
								
							echo ' <span class="slushman_adpw_no_venue_link">' . $show->venueName . '</span>';
								
						} // End of 'Is there a venue URL?'
						
						if ( $show->stateAbbreviation == 'No State' ) {
										
							$addyend = ', ' . $show->country;
						
						} elseif ( $instance['showcountry'] == 'on' ) {
						
							$addyend = ', ' . $show->stateAbbreviation . ', ' . $show->countryAbbreviation;
						
						} else {
						
							$addyend = ', ' . $show->stateAbbreviation;
						
						} // End of 'create $addyend'
									
						if ( !empty( $show->venueAddress ) ) {
						
							$addy = $show->venueAddress . ', ' . $show->city . ', ' . $show->stateAbbreviation . ', ' . $show->country; ?>
							
							<a class="slushman_adpw_venue_map" href="http://maps.google.com/maps?q=<?php echo $addy; ?>"><?php echo $show->city . $addyend; ?><span class="slushman_adpw_map_notice"> - map</span></a><?php
							
						} else { ?>
						
							<span class="slushman_adpw_show_no_map"><?php echo $show->city . $addyend; ?></span><?php
						
						} // End of 'is the Venue Address empty?'
						
						if ( $instance['showprice'] == 'on' ) { 
						
							if ( !empty ($show->ticketURI) ) {
			
								$tickets = '<a class="slushman_adpw_show_price" href="' . $show->ticketURI . '">Tickets: ' . $show->ticketPrice . '</a>';
									
							} else {
							
								$tickets = 'Tickets: ' . $show->ticketPrice; 
								
							} ?>
						
							<span class="slushman_adpw_show_price"><?php echo $tickets; ?></span<?php
						
						} //End of if ( showprice )
						
						if ( $instance['showage'] == 'on' ) { ?>
						
							<span class="slushman_adpw_show_age">Age Limit: <?php echo $show->ageLimit; ?></span><?php
							
						} //End of if ( showage ) ?>
					
					</li><!-- End of li.slushman_adp_show --><?php
				
					++$count;
					
					if ( $count == $instance['quantity'] ) { 
						
		    			break;
		    				
		    		}
				
	    		} // End of "foreach ( $showfeed as $show )"
	    		
	   		} // End of 'Does $showfeed equal FALSE?' ?>
	    		
				<li id="slushman_adpw_links"><?php
				
					if ( !empty( $instance['quantity'] ) ) { ?>
				
						<span id="slushman_adpw_more"><a href="<?php echo $options['slushman_adp_adpage_url']; ?>">More shows</a>&nbsp;</span><?php
					
					} // End of if ( !empty( $instance['quantity'] ) ) ?>

					<a id="slushman_adpw_artistdata_logo_link" href="http://artistdata.com" target="_blank"><img border="0" id="slushman_adpw_artistdata_logo" src="<?php echo plugins_url( 'images/powered_by_artistdata.png', dirname( __FILE__ ) ); ?>"></a>
				
				</li>
			
			</ul> <!-- End of slushman_adpw_shows --> <?php
	
	        echo $after_widget;
	        
	    } //End of widget function
	 
	    function update( $new_instance, $old_instance ) {
	    
	        $instance 					= $old_instance;
			$instance['title'] 			= strip_tags($new_instance['title']);
			$instance['quantity'] 		= strip_tags($new_instance['quantity']);
			$instance['showtime'] 		= strip_tags($new_instance['showtime']);
			$instance['showname'] 		= strip_tags($new_instance['showname']);
			$instance['showprice'] 		= strip_tags($new_instance['showprice']);
			$instance['showage'] 		= strip_tags($new_instance['showage']);
			$instance['showcountry'] 	= strip_tags($new_instance['showcountry']);
	 
	        return $instance;
	        
	    } //End of update function
	    
	} // End of class ArtistDataPress_widget
	
} // End of 'does class exist?'
    
?>